SMBMNT(8)

NAME
smbmnt - mount smb file system

SYNOPSIS
smbmnt mount-point [ -u uid ] [ -g gid ] [ -f file mode ] [ -d dir mode ]

DESCRIPTION
smbmnt is a helper application used by the smbmount(8) program to do the actual mounting. smbmnt is meant to be installed setuid root so that normal users can mount their smb shares. It checks whether the user has write permissions on the mount point and then mounts the directory. The smbmnt program is normally invoked by a mount command to smbmount, and the command line arguments are passed directly to smbmnt.

OPTIONS
-u uid, -g gid
    A Lan Manager server does not tell us anything about the owner of a file, but Unix requires that each file have an owner and a group it belongs to. With -u and -g you can tell smbmount which id's it should assign to the files in the mounted directory. The defaults for these values are the current uid and gid.
-f file mode, -d dir mode
    Like -u and -g, these options are also used to bridge differences in concepts between Lan Manager and Unix. Lan Manager does not know anything about file permissions, so smbmnt must be told which permissions it should assign to the mounted files and directories. The values must be given as octal numbers. The default values are taken from the current umask, where the file mode is the current umask, and the dir mode adds execute permissions where the file mode gives read permissions. Note that these permissions can differ from the rights the server gives to us. If you do not have write permissions on the server, you should choose a file mode that matches your actual permissions. This certainly cannot override the restrictions imposed by the server. In addition to specifying the file mode, the -f argument can be used to specify certain bug-fix workarounds. This allows bug fixes to be enabled on a per mount-point basis, rather than being compiled into the kernel. The required bug fixes are specified by prepending an (octal) value to the file mode. For information on the available bug workarounds, refer to the smbfs.txt file in the Linux kernel Documentation directory.

SEE ALSO
smbmount(8)